Bug 3507 - полная неработоспособность mod_perl
: полная неработоспособность mod_perl
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apache)
: unstable
: all Linux
: P1 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-01-17 16:56 by
Modified: 2005-08-30 03:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-01-17 16:56:25
После обновления perl, забывается пересборка mod_perl, в следствии чего
mod_perl
полностью оказывается неработоспособным....
------- Comment #1 From 2004-01-19 11:27:24 -------
mod_perl собирается вмесет с apache.  пересобирать apache по каждому чиху я не
вижу смысла.  вынести сборку mod_perl осмысленным  не представляется (мне),
поэтому остается следить или уведомлять по части обновлений perl, что-либо
ломающих.

т.к. на сейчас в очереди на новую сборку есть еще пара фиксов, то буду делать
--
как только починят hasher.
------- Comment #2 From 2004-01-19 22:17:59 -------
залил apache-1.3.29rusPL30.18-alt3; минимальный тест (mailgraph) сработал
(действительно, ~неделю назад "чего-то падал").
------- Comment #3 From 2004-01-20 16:50:50 -------
Нужна более подробная информация: при обновлении perl с версии X на версию Y
mod_perl перестал работать.  В апстриме стараются следить за бинарной
совместимостью в libperl, но только на уровне perlapi(1).  Плюс на бинарную
совместимость могут влиять флаги configure и т.д.
------- Comment #4 From 2004-01-20 16:55:19 -------
эх.  похоже, поможет только х-бы простой тест после обновления libperl.

на сейчас вроде пересборки без изменений хватило.
------- Comment #5 From 2004-01-25 17:52:53 -------
проблема с self requires в очередной раз попра^Wобъе^Wпоправлена в
1.3.29rusPL30.18-alt4.